import pytest
import unittest

from promptflow.connections import CustomConnection
from hello_world_laura_y7860.tools.hello_world_tool import get_greeting_message


@pytest.fixture
def my_custom_connection() -> CustomConnection:
    my_custom_connection = CustomConnection(
        {
            "api-key" : "my-api-key",
            "api-secret" : "my-api-secret",
            "api-url" : "my-api-url"
        }
    )
    return my_custom_connection


class TestTool:
    def test_get_greeting_message(self, my_custom_connection):
        result = get_greeting_message(my_custom_connection, input_text="Microsoft")
        assert result == "Hello Microsoft"


# Run the unit tests
if __name__ == "__main__":
    unittest.main()